Package Details: lib32-libsigc++ 2.8.0-1

Git Clone URL: (read-only)
Package Base: lib32-libsigc++
Description: Libsigc++ implements a full callback system for use in widget libraries - V2 (32 bit)
Upstream URL:
Licenses: LGPL
Submitter: Medved
Maintainer: Medved
Last Packager: Medved
Votes: 20
Popularity: 0.249797
First Submitted: 2010-06-28 01:47
Last Updated: 2016-05-30 00:15

Latest Comments

rafaelff commented on 2011-07-25 23:40



rafaelff commented on 2011-07-10 01:31


Double check the list of files installed (IF installed) from this package with: pacman -Ql lib32-libsigc++

Also you can find out the origin of installed files using the command: pacman -Qo /usr/lib/LIBNAME (ex: pacman -Qo /usr/lib/

As Medved mentioned, this package's files should be at /usr/lib32

Medved commented on 2011-07-10 00:16

@Enverex, WTF? I have no idea where you were looking for the lib files, but you may look at your built package before installing it. Shell:
# bsdtar -tf lib32-libsigc++-2.2.9-2-x86_64.pkg.tar.xz

Enverex commented on 2011-07-09 22:48

This doesn't appear to have created libsigc* files in any of my lib32 folders, what files does this create exactly? (the only libsigc* files I have are in /usr/lib/ which should belong to the libsigc++ package, not the lib32 version).

rafaelff commented on 2011-06-12 20:20

Can you please add '--prefix=/usr' to './configure' and 'rm -rf ${pkgdir}/usr/include' to 'package()'? I'm having problems to compile lib32-gtkglextmm because it is looking for sigc++ files at /usr/local - bad place!
Here's a PKGBUILD with this fix:

Medved commented on 2011-03-26 18:55

@josephgbr, Done! Thank You for notifying!

rafaelff commented on 2011-03-26 18:40

Please update to 2.2.9

Medved commented on 2010-06-28 01:54

This package completely replace the old lib32-libsigc++2.0:
Note: you will have to first remove the old one:
pacman --remove --nodeps lib32-libsigc++2.0